curl https://api.voicy.co/v1/get-agent/550e8400-e29b-41d4-a716-446655440001 \
-H "Authorization: Bearer voicy_sk_live_xxx"
{
"agent_id": "550e8400-e29b-41d4-a716-446655440001",
"agent_name": "Customer Support Agent",
"account_id": "550e8400-e29b-41d4-a716-446655440099",
"account_name": "Acme Corp",
"voice_id": "openai:sage",
"language": "en",
"begin_message": "Hello! How can I help you today?",
"agent_prompt": "You are a helpful customer support agent...",
"begin_message_mode": "static",
"prompt_text_direction": "ltr",
"vars_provided": [
{
"name": "customer_name",
"type": "string",
"default_value": null,
"description": "Customer's full name"
}
],
"vars_extracted": [
{
"name": "appointment_date",
"type": "string",
"description": "Preferred appointment date",
"required": true
}
],
"version": 3,
"deployed_at": null,
"agent_type": "singlePrompt",
"notification_emails": []
}
Retrieve details for a specific agent
curl https://api.voicy.co/v1/get-agent/550e8400-e29b-41d4-a716-446655440001 \
-H "Authorization: Bearer voicy_sk_live_xxx"
{
"agent_id": "550e8400-e29b-41d4-a716-446655440001",
"agent_name": "Customer Support Agent",
"account_id": "550e8400-e29b-41d4-a716-446655440099",
"account_name": "Acme Corp",
"voice_id": "openai:sage",
"language": "en",
"begin_message": "Hello! How can I help you today?",
"agent_prompt": "You are a helpful customer support agent...",
"begin_message_mode": "static",
"prompt_text_direction": "ltr",
"vars_provided": [
{
"name": "customer_name",
"type": "string",
"default_value": null,
"description": "Customer's full name"
}
],
"vars_extracted": [
{
"name": "appointment_date",
"type": "string",
"description": "Preferred appointment date",
"required": true
}
],
"version": 3,
"deployed_at": null,
"agent_type": "singlePrompt",
"notification_emails": []
}
curl https://api.voicy.co/v1/get-agent/550e8400-e29b-41d4-a716-446655440001 \
-H "Authorization: Bearer voicy_sk_live_xxx"
{
"agent_id": "550e8400-e29b-41d4-a716-446655440001",
"agent_name": "Customer Support Agent",
"account_id": "550e8400-e29b-41d4-a716-446655440099",
"account_name": "Acme Corp",
"voice_id": "openai:sage",
"language": "en",
"begin_message": "Hello! How can I help you today?",
"agent_prompt": "You are a helpful customer support agent...",
"begin_message_mode": "static",
"prompt_text_direction": "ltr",
"vars_provided": [
{
"name": "customer_name",
"type": "string",
"default_value": null,
"description": "Customer's full name"
}
],
"vars_extracted": [
{
"name": "appointment_date",
"type": "string",
"description": "Preferred appointment date",
"required": true
}
],
"version": 3,
"deployed_at": null,
"agent_type": "singlePrompt",
"notification_emails": []
}